[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [SOLVED] Re: [KDE 4.1 backports] Announce: Backport for KDE 4.1.2 and Qt 4.4.3 available

On Thu, Oct 16, 2008 at 10:55:00AM +0200, Richard Scherping wrote:
> >> The error is that I never get everything upgraded. To clarify I attach a
> >> bigger output this time.
> > 
> > I think, on the contrary, that you get everything upgraded everytime.... to 
> > the same version. This happens with me with some packages in aptitude from 
> > times to times, but I do not understand why. Cleaning apt cache 
> > with "aptitude clean" may help though.
> Thank you! A simple "aptitude clean" really did the trick. Shame on me that I did not try this before...
> As I did not encounter such a problem before (although I sometimes heavily mix releases etc.) this seems to be something left over from the syncing problems the repository had...

I did have to re-upload amd64 packages because I firstly built then (no
intentionally) against Qt 4.4.3. Your packages cache seemed to contain the 
old packages before I did re-upload and the mirror have the information 
about the newer one. 
You were reinstalling all the time the packages in your cache, while getting 
the information of newer packages (as more recent date), so apt was telling 
you there were new packages.
When you cleaned your cache, fetched the newer packages from the mirror and
installed then, everything was finaly "updated".

At least, that is what i think happened.


Reply to: